> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Ads 状态

> 调用此端点可获知 Google 是否已更新上个月的关键词数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/keywords_data/google_ads/status
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/google_ads/status:
    get:
      summary: Google Ads 状态
      description: >-
        调用此端点可了解 Google 是否更新了上个月的关键词数据。通常，Google 会在月中更新关键词数据。因此，如果 Google
        在十月更新了数据，您将能够查看九月的实际搜索量、每次点击费用、竞争度及其他指标。如果 Google 未在十月更新数据，则最新信息为八月的数据。
      operationId: get_dataforseo_keywords_data_google_ads_status
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: API 调用中指定的数据
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.actual_data:
                    type: boolean
                    description: >-
                      指示 Google 是否已更新上个月的关键词数据。通常，Google 会在月中更新关键词数据。如果值为 true，则
                      Google 当前提供的是上个月的最新数据；如果值为 false，则我们无法提供上个月的数据。
                  tasks.result.date_update:
                    type: string
                    description: >-
                      Google Ads 数据的最近更新日期，表示 Google 最近一次更新搜索量、CPC
                      和其他关键词指标的日期；示例：2020-05-15
                  tasks.result.last_year_in_monthly_searches:
                    type: integer
                    description: 可获取搜索量数据的最新年份
                  tasks.result.last_month_in_monthly_searches:
                    type: integer
                    description: 可获取搜索量数据的最新月份
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````